aboutsummaryrefslogtreecommitdiff
path: root/etc/bootstrap/bbot-bootstrap-freebsd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bootstrap/bbot-bootstrap-freebsd.sh')
-rwxr-xr-xetc/bootstrap/bbot-bootstrap-freebsd.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/etc/bootstrap/bbot-bootstrap-freebsd.sh b/etc/bootstrap/bbot-bootstrap-freebsd.sh
new file mode 100755
index 0000000..8a86696
--- /dev/null
+++ b/etc/bootstrap/bbot-bootstrap-freebsd.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# file : etc/bootstrap/bbot-bootstrap-freebsd.sh
+# copyright : Copyright (c) 2014-2017 Code Synthesis Ltd
+# license : TBC; see accompanying LICENSE file
+
+# Note: install GNU make with 'pkg install gmake'.
+#
+
+if ! jobs="$(sysctl -n hw.ncpu)"; then
+ jobs=1
+fi
+
+"$(dirname "$0")/bbot-bootstrap.sh" \
+ --make gmake \
+ --make "-j$jobs" \
+ "$@"